// Utils.java
// $Id: SwingUtils.java,v 1.2 2000/08/17 15:07:28 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 2000.
// Please first read the full copyright statement in file COPYRIGHT.html
package org.w3c.jwput.gui; 

import javax.swing.JComboBox;
import javax.swing.ComboBoxModel;

/**
 * @version $Revision: 1.2 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class SwingUtils {

    public static boolean isInComboBox(JComboBox combo, Object item) {
	ComboBoxModel model = combo.getModel();
	int len = model.getSize();
	for (int i = 0 ; i < len ; i++) {
	    if (item.equals(model.getElementAt(i))) {
		return true;
	    }
	}
	return false;
    }

}
